Tool esptool is not available for your operating sysytem

(deleted)

Why do you want to install such an outdated version?

OK, I think I have a solution for you. The other versions of esptool are compiled for ARM Linux and the other tool dependencies of 2.0.0 are compiled for ARM Linux. So what I did was created a Boards Manager JSON file that's identical to the original 2.0.0 entry except that it uses the latest version of esptool instead of the old version referenced by 2.0.0 originally. This shouldn't have any effect on what you're trying to do because esptool is only used for uploading the sketch to the board. All the files are still downloaded from the same locations as the official package. I did a quick test and it seems to work fine. So what you need to do to use the Boards Manager URL: https://gist.githubusercontent.com/per1234/dff8abd04c24d99e172045507120fdf8/raw/514df5085abc0bdfd615594d3c7f3a94da6212ac/package_per1234_esp8266_200_armlinux_index.json instead of the standard esp8266 boards manager URL.

(deleted)